## com.sun.jna.platform.win32
Class GDI32.RECT

    java.lang.Object
      com.sun.jna.Structure
          com.sun.jna.platform.win32.GDI32.RECT

Enclosing interface:
  GDI32

    public static class GDI32.RECT

extends com.sun.jna.Structure

Nested Class Summary

Nested classes/interfaces inherited from class com.sun.jna.Structure
`com.sun.jna.Structure.ByReference, com.sun.jna.Structure.ByValue`

Field Summary
`int` `bottom`
`int` `left`
`int` `right`
`int` `top`

Fields inherited from class com.sun.jna.Structure
`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

Constructor Summary
`GDI32.RECT()`

Method Summary
`java.awt.Rectangle` `toRectangle()`
`java.lang.String` `toString()`

Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, clear, ensureAllocated, equals, getAutoRead, getAutoWrite, getFieldOrder, getFields, getNativeAlignment, getPointer, getStructAlignment, hashCode, newInstance, read, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setTypeMapper, size, sortFields, toArray, toArray, useMemory, useMemory, write, writeField, writeField`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### left

    public int left

### top

    public int top

### right

    public int right

### bottom

    public int bottom

Constructor Detail

### GDI32.RECT

    public GDI32.RECT()

Method Detail

### toRectangle

    public java.awt.Rectangle toRectangle()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `com.sun.jna.Structure`